Web Search

Get detailed information about points of interest.

View skill file Skill file for Local POIs

Authorization

x-subscription-token string header required
The subscription token that was generated for the product.

Query Parameters

ids string[] required
A list of unique identifiers for the location. The ids are valid only for 8 hours.
search_lang enum<string>
The search language preference. The 2 or more character language code for which the search results are provided.
Default: "en"
Available options: areubn
ui_lang enum<string>
User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see RFC 9110.
Default: "en-US"
Available options: es-ARen-AUde-AT
units enum<string>

The measurement units. The following values are supported:

  • metric - The standardized measurement system (km, celcius…)
  • imperial - The British Imperial system of units (mile, fahrenheit…)
Available options: imperialmetric

Headers

x-loc-lat number
The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.
Min: -90 Max: 90
x-loc-long number
The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.
Min: -180 Max: 180
api-version string
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
accept enum<string>
The default supported media type is application/json.
Default: "application/json"
Available options: application/json*/*
cache-control "no-cache"
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
user-agent string
  • Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36 Android
  • Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1 iOS
  • Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 macOS
  • Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36 Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.

Responses

200 Successful Response
type "local_pois"
Default: "local_pois"
results object[] nullable
The list of location results (POIs) for the given location identifiers.
results.title string required
The title of the web page.
results.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
results.description string nullable
A description for the web page.
Default: ""
results.page_age string nullable
The page’s date, based on its published or last modified date.
results.page_fetched string nullable
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
results.profile object nullable
A profile associated with the web page.
results.profile.name string required
The name of the profile.
results.profile.url string required
The original URL where the profile is available.
results.profile.long_name string nullable
The long name of the profile.
results.profile.img string nullable
The served image URL representing the profile.
results.language string nullable
A language classification for the web page.
Whether the web page is family friendly.
Default: true
results.type "location_result"
Location result type identifier. The value is always location_result.
Default: "location_result"
results.provider_url string required
The complete URL of the provider.
results.coordinates any[] nullable
A list of coordinates associated with the location. This is a lat long represented as a floating point.
The zoom level on the map.
Default: 7
results.thumbnail object nullable
The thumbnail associated with the location.
results.thumbnail.src string required
The served URL of the picture thumbnail.
results.thumbnail.alt string nullable
The alt text for the thumbnail image.
results.thumbnail.height integer nullable
The height of the thumbnail.
results.thumbnail.width integer nullable
The width of the thumbnail.
The background color of the thumbnail.
The original URL of the image.
Whether the thumbnail is a duplicate.
results.thumbnail.theme string nullable
The theme of the thumbnail (e.g., light or dark).
results.postal_address object nullable
The postal address associated with the location.
The type identifying a postal address. The value is always PostalAddress.
Default: "PostalAddress"
The country associated with the location.
The postal code associated with the location.
The street address associated with the location.
The region associated with the location. This is usually a state.
The address locality or subregion associated with the location.
The displayed address string.
results.opening_hours object nullable
The opening hours, if it is a business, associated with the location.
The current day opening hours. Can have two sets of opening hours.
results.opening_hours.days object[][] nullable
The opening hours for the whole week.
results.contact object nullable
The contact of the business associated with the location.
results.contact.email string nullable
The email address.
results.contact.telephone string nullable
The telephone number.
results.price_range string nullable
A display string used to show the price classification for the business.
results.rating object nullable
The ratings of the business.
The current value of the rating.
Min: 0
Best rating received.
results.rating.reviewCount integer nullable
The number of reviews associated with the rating.
results.rating.profile object nullable
The profile associated with the rating.
Whether the rating is coming from Tripadvisor.
Default: false
results.distance object nullable
The distance of the location from the client.
results.distance.value number required
The quantity of the unit.
results.distance.units string required
The name of the unit associated with the quantity.
results.profiles object[] nullable
Profiles associated with the business.
The type representing the source of data. This is usually external.
Default: "external"
results.profiles.name string required
The name of the data provider. This can be a domain.
results.profiles.url string required
The URL where the information is coming from.
The long name for the data provider.
results.profiles.img string nullable
The served URL for the image data.
results.reviews object nullable
Aggregated reviews from various sources relevant to the business.
results.reviews.results object[] required
A list of trip advisor reviews for the entity.
A URL to a web page where more information on the result can be seen.
Any reviews available in a foreign language.
results.pictures object nullable
A bunch of pictures associated with the business.
results.pictures.viewMoreUrl string nullable required
A URL to view more pictures.
results.pictures.results object[] required
A list of thumbnail results.
results.action object nullable
An action to be taken.
results.action.type string required
The type representing the action.
results.action.url string required
A URL representing the action to be taken.
results.serves_cuisine string[] nullable
A list of cuisine categories served.
A list of categories.
Default: []
results.icon_category string nullable
An icon category.
results.timezone string nullable
IANA timezone identifier.
results.timezone_offset integer nullable
The UTC offset of the timezone.
results.id string nullable
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
results.results object[] nullable
Web results related to this location.
results.results.title string required
The title of the web page.
results.results.url string required
The URL where the page is served.
Whether the result is from a local source.
Default: false
Whether the result is from both local and global sources.
Default: false
A description for the web page.
Default: ""
results.results.page_age string nullable
The page’s date, based on its published or last modified date.
A date representing when the web page was last fetched.
The timestamp when the content was fetched.
results.results.profile object nullable
A profile associated with the web page.
results.results.language string nullable
A language classification for the web page.
Whether the web page is family friendly.
Default: true
results.results.meta_url object required
Aggregated information about the URL.
400 Bad Request
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
404 Not Found
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
422 Unprocessable Entity
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0
429 Too Many Requests
type string
Default: "ErrorResponse"
error object required
error.id string required
A unique identifier for this particular occurrence of the problem.
error.status integer required
The HTTP status code applicable to this problem, expressed as a string value.
error.detail string nullable
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
error.meta object nullable
A meta object containing non-standard meta-information about the error.
error.code enum<string> required
An application-specific error code, expressed as a string value.
Available options: INTERNALQUOTA_LIMITEDRATE_LIMITED
time integer
Default: 0